Subject: [Info-WASD] X86: DO NOT USE global buffers on SYSSUAF/RIGHTSLIST
From: [email-masked]
To: [email-masked]
Date: Wed, 22 Apr 2026 17:12:28 +0930

> But what does that mean exactly: "DO NOT USE global buffers on 
> SYSSUAF/RIGHTSLIST" What would you have to do to be doing this ?

OK, fair enough.  I was perhaps further in the dark than most regarding
global buffers.  I had not specialised in any RMS over the years.  AFACT, the
easiest way to tell if you have global buffers enabled on a file, SYSUAF, for
example, is

$ DIRECTORY /FULL SYSUAF  ! if you have the logical name defined
$ DIRECTORY /FULL SYS$COMMON:[SYSEXE]SYSUAF.DAT  ! otherwise

Buried not too down in that output is

| File attributes:    Allocation: 48, Extend: 10, Maximum bucket size: 3,
  Global buffer count: 0, No version limit, Contiguous best try
  ^^^^^^^^^^^^^^^^^^^^^^

My X86 had this value by default.
Anything greater than zero is currently an issue.

Same (apparently) for RIGHTSLIST.

$ DIRECTORY /FULL RIGHTSLIST ! if you have the logical name defined
$ DIRECTORY /FULL SYS$COMMON:[SYSEXE]RIGHTLIST.DAT  ! otherwise

To benchtest a reproducer during investigation I had to

$ SET FILE SYSUAF /SHARED /GLOBAL_BUFFER=100

and then reboot.  To reset global buffers do

$ SET FILE SYSUAF /SHARED /GLOBAL_BUFFER=0

and then reboot.

If your DIRECTORY/FULL shows zero global buffers count then :-)

(Anyone wishing to comment on this further please chip-in.)

--------------- Original Message ---------------
Subject: [Info-WASD] X86: DO NOT USE global buffers on SYSSUAF/RIGHTSLIST
To: [email-masked]
From: [email-masked]
Date: Wed, 22 Apr 2026 08:47:58 +0930

An issue deploying WASD on X86 VMS has been under intensive investigation for
the best part of 9 weeks now.

Specialist comment:

> So this is a REAL OpenVMS x86-64 V9.2-3 problem !!!

> ADVICE: when trying to use WASD on VSI OpenVMS x86-64 V9.2-3 + patches,
> DO NOT USE global buffers on SYSSUAF/RIGHTSLIST until VSI has diagnosed
> and fixed this problem.